-- This Source Code Form is subject to the terms of the bCDDL, v. 1.1.
-- If a copy of the bCDDL was not distributed with this
-- file, You can obtain one at http://beamng.com/bCDDL-1.1.txt

local M = {}

local message = false

local function init()
end

local function updateGFX(dt)
	if v.data.engine.dct == true then
		--dual clutch transmission (DCT)
		--disallow full manual
		--automatic mode
		if drivetrain.shifterMode == 0 then
			drivetrain.shifterMode = 3
			drivetrain.autoClutch = true
			drivetrain.manualShift = false
			if message == false then
				gui.message("Real automatic", 5, "shiftermode")
				message = true
			end
		else
			message = false
		end
		--disallow manual 1st and 2nd gear
		if drivetrain.shifterMode == 3 then
			if drivetrain.shifterPosition > 1 then 
				drivetrain.shifterPosition = 1
			end
		end
	end
end

-- public interface
M.init      = init
M.updateGFX = updateGFX

return M