-- This Source Code Form is subject to the terms of the bCDDL, v. 1.1.
-- If a copy of the bCDDL was not distributed with this
-- file, You can obtain one at http://beamng.com/bCDDL-1.1.txt
local M = {}

local function init()
	electrics.values['disp_P'] = 0
	electrics.values['disp_R'] = 0
	electrics.values['disp_Ra'] = 0
	electrics.values['disp_N'] = 0
	electrics.values['disp_Na'] = 0
	electrics.values['disp_1'] = 0
	electrics.values['disp_2'] = 0
	electrics.values['disp_3'] = 0
	electrics.values['disp_4'] = 0
	electrics.values['disp_5'] = 0
	electrics.values['disp_6'] = 0
	electrics.values['disp_D'] = 0
	electrics.values['disp_L'] = 0
end

local function reset()
	init()
end

local function updateGFX(dt)
--------------------------------------------------------------------------------------------------------Reverse Manual
	if electrics.values['gear_M'] < -0.5 then
		
		electrics.values['disp_R'] = 1

	else
		
		electrics.values['disp_R'] = 0
	end
--------------------------------------------------------------------------------------------------------Neutral
	if electrics.values['gear_M'] > -0.5 and electrics.values['gear_M'] < 0.5 then
		
		electrics.values['disp_N'] = 1

	else
		
		electrics.values['disp_N'] = 0
	end
--------------------------------------------------------------------------------------------------------First
	if electrics.values['gear_M'] > 0.5 and electrics.values['gear_M'] < 1.5 then
		
		electrics.values['disp_1'] = 1

	else
		
		electrics.values['disp_1'] = 0
	end	
	
	
--------------------------------------------------------------------------------------------------------Second
	if electrics.values['gear_M'] > 1.5 and electrics.values['gear_M'] < 2.5 then
		
		electrics.values['disp_2'] = 1

	else
		
		electrics.values['disp_2'] = 0
	end	
	
--------------------------------------------------------------------------------------------------------Third
	if electrics.values['gear_M'] > 2.5 and electrics.values['gear_M'] < 3.5 then
		
		electrics.values['disp_3'] = 1

	else
		
		electrics.values['disp_3'] = 0
	end	
	
	
--------------------------------------------------------------------------------------------------------Fourth
	if electrics.values['gear_M'] > 3.5 and electrics.values['gear_M'] < 4.5 then
		
		electrics.values['disp_4'] = 1

	else
		
		electrics.values['disp_4'] = 0
	end	
	
--------------------------------------------------------------------------------------------------------Fifth
	if electrics.values['gear_M'] > 4.5 and electrics.values['gear_M'] < 5.5 then
		
		electrics.values['disp_5'] = 1

	else
		
		electrics.values['disp_5'] = 0
	end	
	
--------------------------------------------------------------------------------------------------------Sixth
	if electrics.values['gear_M'] > 5.5 then
		
		electrics.values['disp_6'] = 1

	else
		
		electrics.values['disp_6'] = 0
	end	
	
--------------------------------------------------------------------------------------------------------Park Auto
	if electrics.values['gear_A'] < 0.1 then
		
		electrics.values['disp_P'] = 1

	else
		
		electrics.values['disp_P'] = 0
	end	
	
--------------------------------------------------------------------------------------------------------Reverse Auto
	if electrics.values['gear_A'] > 0.1 and electrics.values['gear_A'] < 0.3 then
		
		electrics.values['disp_Ra'] = 1

	else
		
		electrics.values['disp_Ra'] = 0
	end	
	
--------------------------------------------------------------------------------------------------------Neutral Auto
	if electrics.values['gear_A'] > 0.3 and electrics.values['gear_A'] < 0.5 then
		
		electrics.values['disp_Na'] = 1

	else
		
		electrics.values['disp_Na'] = 0
	end	
	
--------------------------------------------------------------------------------------------------------Drive Auto
	if electrics.values['gear_A'] > 0.5 and electrics.values['gear_A'] < 0.7 then
		
		electrics.values['disp_D'] = 1

	else
		
		electrics.values['disp_D'] = 0
	end	
	
--------------------------------------------------------------------------------------------------------Low Auto
	if electrics.values['gear_A'] > 0.7 then
		
		electrics.values['disp_L'] = 1

	else
		
		electrics.values['disp_L'] = 0
	end	
	
	

	
	
	
end

-- public interface
M.init      = init
M.reset     = reset
M.updateGFX = updateGFX

return M