singleton Material(sunburst)
{
   mapTo = "sunburst";
   diffuseMap[2] = "vehicles/sunburst/sunburst_c.dds";
   specularMap[2] = "vehicles/sunburst/sunburst2d_s.dds";
   normalMap[2] = "vehicles/sunburst/sunburst2d_n.dds";
   diffuseMap[1] = "vehicles/sunburst/sunburst_d.dds";
   specularMap[1] = "vehicles/sunburst/sunburst2d_s.dds";
   normalMap[1] = "vehicles/sunburst/sunburst2d_n.dds";
   diffuseMap[0] = "vehicles/common/null.dds";
   specularMap[0] = "vehicles/common/null.dds";
   normalMap[0] = "vehicles/sunburst/sunburst2d_n.dds";
   specularPower[0] = "16";
   pixelSpecular[0] = "1";
   specularPower[1] = "16";
   pixelSpecular[1] = "1";
   diffuseColor[0] = "1 1 1 1";
   diffuseColor[1] = "1 1 1 1";
   diffuseColor[2] = "1 1 1 1";
   useAnisotropic[0] = "1";
   useAnisotropic[1] = "1";
   useAnisotropic[2] = "1";
   castShadows = "1";
   translucent = "1";
   translucentBlendOp = "None";
   alphaTest = "1";
   alphaRef = "0";
   dynamicCubemap = true; //cubemap = "BNG_Sky_02_cubemap";
   beamngDiffuseColorSlot = 2;
   materialTag0 = "beamng"; materialTag1 = "vehicle";
};

singleton Material(sunburst_clear)
{
   mapTo = "sunburst_clear";
   diffuseMap[0] = "vehicles/sunburst/sunburst_d.dds";
   specularMap[0] = "vehicles/sunburst/sunburst2d_s.dds";
   normalMap[0] = "vehicles/sunburst/sunburst2d_n.dds";
   specularPower[0] = "16";
   pixelSpecular[0] = "1";
   specularPower[1] = "16";
   pixelSpecular[1] = "1";
   diffuseColor[0] = "0.5 0.5 0.5 1";
   diffuseColor[1] = "0.2 0.2 0.2 1";
   diffuseColor[2] = "0.5 0.5 0.5 1";
   useAnisotropic[0] = "1";
   useAnisotropic[1] = "1";
   useAnisotropic[2] = "1";
   doubleSided = "0";
   castShadows = "1";
   translucent = "1";
   translucentBlendOp = "lerpAlpha";
   alphaTest = "0";
   alphaRef = "1";
   beamngDiffuseColorSlot = 2;
   materialTag0 = "beamng"; materialTag1 = "vehicle";
};

singleton Material(sunburst_engine)
{
   mapTo = "sunburst_engine";
   diffuseMap[0] = "vehicles/sunburst/sunburst_engine_d.dds";
   specularMap[0] = "vehicles/sunburst/sunburst_engine_s.dds";
   normalMap[0] = "vehicles/sunburst/sunburst_engine_n.dds";
   specularPower[0] = "16";
   pixelSpecular[0] = "1";
   useAnisotropic[0] = "1";
   castShadows = "1";
   alphaTest = "1";
   alphaRef = "0";
   dynamicCubemap = true; //cubemap = "BNG_Sky_02_cubemap";
   materialTag0 = "beamng"; materialTag1 = "vehicle";
};

singleton Material(sunburst_lights)
{
   mapTo = "sunburst_lights";
   diffuseMap[1] = "vehicles/sunburst/sunburst_lights_d.dds";
   specularMap[1] = "vehicles/sunburst/sunburst_lights_s.dds";
   normalMap[1] = "vehicles/sunburst/sunburst_lights_n.dds";
   diffuseMap[0] = "vehicles/common/null.dds";
   specularMap[0] = "vehicles/common/null.dds";
   normalMap[0] = "vehicles/sunburst/sunburst_lights_n.dds";
   specularPower[0] = "16";
   pixelSpecular[0] = "1";
   specularPower[1] = "16";
   pixelSpecular[1] = "1";
   diffuseColor[0] = "1 1 1 1";
   diffuseColor[1] = "1 1 1 1";
   useAnisotropic[0] = "1";
   useAnisotropic[1] = "1";
   castShadows = "1";
   translucent = "1";
   translucentBlendOp = "None";
   alphaTest = "1";
   alphaRef = "0";
   diffuseColor[1] = "1.5 1.5 1.5 1";
   dynamicCubemap = true; //cubemap = "BNG_Sky_02_cubemap";
   materialTag0 = "beamng"; materialTag1 = "vehicle";
};
singleton Material(sunburst_lights_on)
{
   mapTo = "sunburst_lights_on";
   diffuseMap[2] = "vehicles/sunburst/sunburst_lights_g.dds";
   specularMap[2] = "vehicles/sunburst/sunburst_lights_s.dds";
   normalMap[2] = "vehicles/sunburst/sunburst_lights_n.dds";
   diffuseMap[1] = "vehicles/sunburst/sunburst_lights_d.dds";
   specularMap[1] = "vehicles/sunburst/sunburst_lights_s.dds";
   normalMap[1] = "vehicles/sunburst/sunburst_lights_n.dds";
   diffuseMap[0] = "vehicles/common/null.dds";
   specularMap[0] = "vehicles/common/null.dds";
   normalMap[0] = "vehicles/sunburst/sunburst_lights_n.dds";
   specularPower[0] = "16";
   pixelSpecular[0] = "1";
   specularPower[1] = "16";
   pixelSpecular[1] = "1";
   diffuseColor[0] = "1 1 1 1";
   diffuseColor[1] = "1.5 1.5 1.5 1";
   diffuseColor[2] = "1.5 1.5 1.5 0.12";
   useAnisotropic[0] = "1";
   useAnisotropic[1] = "1";
   useAnisotropic[2] = "1";
   castShadows = "1";
   translucent = "1";
   translucentBlendOp = "None";
   alphaTest = "1";
   alphaRef = "0";
   dynamicCubemap = true; //cubemap = "BNG_Sky_02_cubemap";
   glow[0] = "0";
   glow[1] = "0";
   glow[2] = "1";
   emissive[0] = "0";
   emissive[1] = "0";
   emissive[2] = "1";
   materialTag0 = "beamng"; materialTag1 = "vehicle";
};

singleton Material(sunburst_lights_on_intense)
{
   mapTo = "sunburst_lights_on_intense";
   diffuseMap[2] = "vehicles/sunburst/sunburst_lights_g.dds";
   specularMap[2] = "vehicles/sunburst/sunburst_lights_s.dds";
   normalMap[2] = "vehicles/sunburst/sunburst_lights_n.dds";
   diffuseMap[1] = "vehicles/sunburst/sunburst_lights_d.dds";
   specularMap[1] = "vehicles/sunburst/sunburst_lights_s.dds";
   normalMap[1] = "vehicles/sunburst/sunburst_lights_n.dds";
   diffuseMap[0] = "vehicles/common/null.dds";
   specularMap[0] = "vehicles/common/null.dds";
   normalMap[0] = "vehicles/sunburst/sunburst_lights_n.dds";
   specularPower[0] = "16";
   pixelSpecular[0] = "1";
   specularPower[1] = "16";
   pixelSpecular[1] = "1";
   diffuseColor[0] = "1 1 1 1";
   diffuseColor[1] = "1.5 1.5 1.5 1";
   diffuseColor[2] = "1.5 1.5 1.5 0.20";
   useAnisotropic[0] = "1";
   useAnisotropic[1] = "1";
   useAnisotropic[2] = "1";
   castShadows = "1";
   translucent = "1";
   translucentBlendOp = "None";
   alphaTest = "1";
   alphaRef = "0";
   dynamicCubemap = true; //cubemap = "BNG_Sky_02_cubemap";
   glow[2] = "1";
   emissive[2] = "1";
   materialTag0 = "beamng"; materialTag1 = "vehicle";
};

singleton Material(sunburst_lights_dmg)
{
   mapTo = "sunburst_lights_dmg";
   diffuseMap[1] = "vehicles/sunburst/sunburst_lights_dmg_d.dds";
   specularMap[1] = "vehicles/sunburst/sunburst_lights_dmg_s.dds";
   normalMap[1] = "vehicles/sunburst/sunburst_lights_dmg_n.dds";
   diffuseMap[0] = "vehicles/common/null.dds";
   specularMap[0] = "vehicles/common/null.dds";
   normalMap[0] = "vehicles/sunburst/sunburst_lights_dmg_n.dds";
   specularPower[0] = "16";
   pixelSpecular[0] = "1";
   specularPower[1] = "16";
   pixelSpecular[1] = "1";
   diffuseColor[0] = "1 1 1 1";
   diffuseColor[1] = "1 1 1 1";
   useAnisotropic[0] = "1";
   useAnisotropic[1] = "1";
   castShadows = "1";
   translucent = "1";
   translucentBlendOp = "None";
   alphaTest = "1";
   alphaRef = "0";
   diffuseColor[1] = "1.5 1.5 1.5 1";
   dynamicCubemap = true; //cubemap = "BNG_Sky_02_cubemap";
   materialTag0 = "beamng"; materialTag1 = "vehicle";
};

singleton Material(sunburst_glass)
{
   mapTo = "sunburst_glass";
   diffuseMap[0] = "vehicles/sunburst/sunburst_glass_d.dds";
   specularMap[0] = "vehicles/sunburst/sunburst_glass_s.dds";
   diffuseMap[1] = "vehicles/sunburst/sunburst_glass_da.dds";
   specularMap[1] = "vehicles/sunburst/sunburst_glass_s.dds";
   specularPower[0] = "128";
   pixelSpecular[0] = "1";
   specularPower[1] = "128";
   pixelSpecular[1] = "1";
   diffuseColor[0] = "1 1 1 1";
   diffuseColor[1] = "1 1 1 1";
   useAnisotropic[0] = "1";
   useAnisotropic[1] = "1";
   castShadows = "0";
   translucent = "1";
   alphaTest = "1";
   alphaRef = "0";
   dynamicCubemap = true; //cubemap = "BNG_Sky_02_cubemap";
   materialTag0 = "beamng"; materialTag1 = "vehicle";
};

singleton Material(sunburst_glass_dmg)
{
   mapTo = "sunburst_glass_dmg";
   diffuseMap[0] = "vehicles/sunburst/sunburst_glass_dmg_d.dds";
   specularMap[0] = "vehicles/common/glass_dmg_s.dds";
   normalMap[0] = "vehicles/common/glass_dmg_n.dds";
   specularPower[0] = "32";
   diffuseColor[0] = "1.5 1.5 1.5 1";
   useAnisotropic[0] = "1";
   castShadows = "0";
   translucent = "1";
   alphaTest = "1";
   alphaRef = "0";
   //cubemap = "BNG_Sky_02_cubemap";
   materialTag0 = "beamng"; materialTag1 = "vehicle";
};

singleton Material(sunburst_lettering)
{
   mapTo = "sunburst_lettering";
   diffuseMap[0] = "vehicles/sunburst/sunburst_lettering_o.dds";
   specularMap[0] = "vehicles/sunburst/sunburst_lettering_s.dds";
   normalMap[0] = "vehicles/sunburst/sunburst_lettering_n.dds";
   diffuseMap[1] = "vehicles/sunburst/sunburst_lettering_d.dds";
   specularMap[1] = "vehicles/sunburst/sunburst_lettering_s.dds";
   normalMap[1] = "vehicles/sunburst/sunburst_lettering_n.dds";
   specularPower[0] = "16";
   pixelSpecular[0] = "1";
   specularPower[1] = "16";
   pixelSpecular[1] = "1";
   diffuseColor[0] = "1 1 1 1";
   diffuseColor[1] = "1.3 1.3 1.3 0.6";
   useAnisotropic[0] = "1";
   useAnisotropic[1] = "1";
   castShadows = "0";
   translucent = "1";
   //translucentBlendOp = "None";
   alphaTest = "1";
   alphaRef = "0";
   dynamicCubemap = true; //cubemap = "BNG_Sky_02_cubemap";
   materialTag0 = "beamng"; materialTag1 = "vehicle"; materialTag2 = "decal";
   //translucentZWrite = "1";
};

singleton Material(sunburst2d_seats)
{
   mapTo = "sunburst2d_seats";
   normalMap[0] = "vehicles/sunburst/sunburst2d_seats_n.dds";
   diffuseMap[0] = "vehicles/sunburst/sunburst2d_seats_d.dds";
   specularMap[0] = "vehicles/sunburst/sunburst2d_seats_s.dds";
   diffuseColor[0] = "1 1 1 1";
   specularPower[0] = "16";
   specularPower[1] = "16";
   useAnisotropic[0] = "1";
   castShadows = "1";
   translucent = "0";
   translucentBlendOp = "None";
   alphaTest = "0";
   alphaRef = "0";
   materialTag0 = "beamng"; materialTag1 = "vehicle";
};

singleton Material(sunburst_interior)
{
   mapTo = "sunburst_interior";
   normalMap[0] = "vehicles/sunburst/sunburst_interior_n.dds";
   diffuseMap[0] = "vehicles/sunburst/sunburst_interior_d.dds";
   specularMap[0] = "vehicles/sunburst/sunburst_interior_s.dds";
   diffuseColor[0] = "1 1 1 1";
   specularPower[0] = "16";
   specularPower[1] = "16";
   useAnisotropic[0] = "1";
   castShadows = "1";
   translucent = "0";
   translucentBlendOp = "None";
   alphaTest = "0";
   alphaRef = "0";
   cubemap = "global_cubemap_metalblurred";
   materialTag0 = "beamng"; materialTag1 = "vehicle";
};

singleton Material(sunburst_gauges_off)
{
   mapTo = "sunburst_gauges_off";
   diffuseMap[1] = "vehicles/sunburst/sunburst_gauges_g.dds";
   specularMap[1] = "vehicles/sunburst/sunburst_gauges_s.dds";
   normalMap[1] = "vehicles/sunburst/sunburst_gauges_n.dds";
   diffuseMap[0] = "vehicles/sunburst/sunburst_gauges_d.dds";
   specularMap[0] = "vehicles/sunburst/sunburst_gauges_s.dds";
   normalMap[0] = "vehicles/sunburst/sunburst_gauges_n.dds";
   specularPower[0] = "16";
   pixelSpecular[0] = "1";
   glow[1] = "0";
   emissive[1] = "1";
   useAnisotropic[0] = "1";
   useAnisotropic[1] = "1";
   cubemap = "global_cubemap_metalblurred";
   materialTag0 = "beamng"; materialTag1 = "vehicle";
   diffuseColor[0] = "0.75 0.75 0.75 1";
   diffuseColor[1] = "1 1 1 0.15";
};

singleton Material(sunburst_gauges)
{
   mapTo = "sunburst_gauges";
   diffuseMap[1] = "vehicles/sunburst/sunburst_gauges_g.dds";
   specularMap[1] = "vehicles/sunburst/sunburst_gauges_s.dds";
   normalMap[1] = "vehicles/sunburst/sunburst_gauges_n.dds";
   diffuseMap[0] = "vehicles/sunburst/sunburst_gauges_d.dds";
   specularMap[0] = "vehicles/sunburst/sunburst_gauges_s.dds";
   normalMap[0] = "vehicles/sunburst/sunburst_gauges_n.dds";
   specularPower[0] = "16";
   pixelSpecular[0] = "1";
   glow[1] = "1";
   emissive[1] = "1";
   useAnisotropic[0] = "1";
   useAnisotropic[1] = "1";
   cubemap = "global_cubemap_metalblurred";
   materialTag0 = "beamng"; materialTag1 = "vehicle";
   diffuseColor[0] = "0.75 0.75 0.75 1";
   diffuseColor[1] = "1 1 1 0.15";
};

singleton Material(sunburst_gauges_on)
{
   mapTo = "sunburst_gauges_on";
   diffuseMap[1] = "vehicles/sunburst/sunburst_gauges_g.dds";
   specularMap[1] = "vehicles/sunburst/sunburst_gauges_s.dds";
   normalMap[1] = "vehicles/sunburst/sunburst_gauges_n.dds";
   diffuseMap[0] = "vehicles/sunburst/sunburst_gauges_d.dds";
   specularMap[0] = "vehicles/sunburst/sunburst_gauges_s.dds";
   normalMap[0] = "vehicles/sunburst/sunburst_gauges_n.dds";
   specularPower[0] = "16";
   pixelSpecular[0] = "1";
   glow[1] = "1";
   emissive[1] = "1";
   useAnisotropic[0] = "1";
   useAnisotropic[1] = "1";
   cubemap = "global_cubemap_metalblurred";
   materialTag0 = "beamng"; materialTag1 = "vehicle";
   diffuseColor[0] = "0.75 0.75 0.75 1";
   diffuseColor[1] = "1 1 1 0.15";
};

singleton Material(sunburst_display)
{
   mapTo = "sunburst_display";
   diffuseMap[0] = "vehicles/sunburst/sunburst_display.dds";
   diffuseColor[0] = "1 1 1 1";
   specularPower[0] = "16";
   specularPower[1] = "16";
   useAnisotropic[0] = "1";
   castShadows = "0";
   translucent = "0";
   translucentBlendOp = "None";
   alphaTest = "1";
   alphaRef = "20";
   materialTag0 = "beamng"; materialTag1 = "vehicle";
};

singleton Material(sunburst_rear_diffuser)
{
   mapTo = "sunburst_rear_diffuser";
   normalMap[0] = "vehicles/sunburst/sunburst_raceparts_n.dds";
   diffuseMap[0] = "vehicles/sunburst/sunburst_raceparts_d.dds";
   diffuseColor[0] = "1 1 1 1";
   specularPower[0] = "16";
   specularPower[1] = "16";
   useAnisotropic[0] = "1";
   castShadows = "1";
   translucent = "0";
   translucentBlendOp = "None";
   alphaTest = "0";
   alphaRef = "0";
   cubemap = "global_cubemap_metalblurred";
   materialTag0 = "beamng"; materialTag1 = "vehicle";
};

singleton Material(sunburst2d_spoiler_L)
{
   mapTo = "sunburst2d_spoiler_L";
   diffuseMap[2] = "vehicles/sunburst/sunburst_raceparts_c.dds";
   specularMap[2] = "vehicles/common/null.dds";
   normalMap[2] = "vehicles/sunburst/sunburst_raceparts_n.dds";
   diffuseMap[1] = "vehicles/sunburst/sunburst_raceparts_d.dds";
   specularMap[1] = "vehicles/common/null.dds";
   normalMap[1] = "vehicles/sunburst/sunburst_raceparts_n.dds";
   diffuseMap[0] = "vehicles/common/null.dds";
   specularMap[0] = "vehicles/common/null.dds";
   normalMap[0] = "vehicles/sunburst/sunburst_raceparts_n.dds";
   specularPower[0] = "16";
   pixelSpecular[0] = "1";
   specularPower[1] = "16";
   pixelSpecular[1] = "1";
   diffuseColor[0] = "1 1 1 1";
   diffuseColor[1] = "1 1 1 1";
   diffuseColor[2] = "1 1 1 1";
   useAnisotropic[0] = "1";
   useAnisotropic[1] = "1";
   useAnisotropic[2] = "1";
   castShadows = "1";
   translucent = "1";
   translucentBlendOp = "None";
   alphaTest = "1";
   alphaRef = "0";
   dynamicCubemap = true; //cubemap = "BNG_Sky_02_cubemap";
   beamngDiffuseColorSlot = 2;
   materialTag0 = "beamng"; materialTag1 = "vehicle";
};

singleton Material(sunburst_rallylights)
{
   mapTo = "sunburst_rallylights";
   normalMap[0] = "vehicles/sunburst/sunburst_rallylights_n.dds";
   diffuseMap[0] = "vehicles/sunburst/sunburst_rallylights_d.dds";
   specularMap[0] = "vehicles/sunburst/sunburst_rallylights_s.dds";
   diffuseColor[0] = "1 1 1 1";
   specularPower[0] = "16";
   specularColoe[0] = "1 1 1 1";
   useAnisotropic[0] = "1";
   castShadows = "1";
   translucent = "1";
   translucentBlendOp = "None";
   dynamicCubemap = true; //cubemap = "BNG_Sky_02_cubemap";
   materialTag0 = "beamng"; materialTag1 = "vehicle";
};
