-- This Source Code Form is subject to the terms of the bCDDL, v. 1.1.
-- If a copy of the bCDDL was not distributed with this
-- file, You can obtain one at http://beamng.com/bCDDL-1.1.txt

local M = {}

local ESCfactor = 0

local function init()
end

local function updateGFX(dt)
		for n,wd in pairs(drivetrain.wheels) do
			local w = wd.obj
			local ESCthreshold = wd.ESCthreshold or 2500
			if wd.enableESC == true then
				if wd.downForce > ESCthreshold then
					ESCfactor = ((ESCthreshold + wd.downForce) - ESCthreshold) * 0.01
					wd.lastTorqueMode = 1
					w.brakingTorque = wd.brakeTorque * ESCfactor
					if w.brakingTorque > wd.brakeTorque then
						w.brakingTorque = wd.brakeTorque
					end
				end
			end
			--w.torque = 0
		end
	--end
end

-- public interface
M.init      = init
M.updateGFX = updateGFX

return M