-- This Source Code Form is subject to the terms of the bCDDL, v. 1.1.
-- If a copy of the bCDDL was not distributed with this
-- file, You can obtain one at http://beamng.com/bCDDL-1.1.txt

local M = {}

local function init()
end

local function updateGFX(dt)
		for n,wd in pairs(drivetrain.wheels) do
			local w = wd.obj
			local TCSthreshold = wd.TCSthreshold or 15
			if wd.enableTCS == true then
				if wd.lastSlip > TCSthreshold == true then
					drivetrain.throttle = 0
				end
			end
		end
	--end
end

-- public interface
M.init      = init
M.updateGFX = updateGFX

return M